Package: org.gradle.play.platform

## [Java] Interface PlayPlatform

- org.gradle.play.platform.PlayPlatform

- All Superinterfaces:
    Named, Platform

  Defines and configures a Play Framework environment including versions of Play, Scala and Java.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `JavaPlatform` | `getJavaPlatform()` Version of Java Runtime to use.
    `String` | `getPlayVersion()` Version of Play Framework to use
    `ScalaPlatform` | `getScalaPlatform()` Version of Scala Runtime to use.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Platform` | `getDisplayName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public JavaPlatform getJavaPlatform()

      Version of Java Runtime to use.

      Returns:
        version of the Java runtime

    - #### public String getPlayVersion()

      Version of Play Framework to use

      Returns:
        version of the Play Framework

    - #### public ScalaPlatform getScalaPlatform()

      Version of Scala Runtime to use.

      Returns:
        version of the Scala runtime